EasyRoutes API

Get imported stop route info

GET
/stops/imports/{id}/routes

Fetch the route and stop IDs for an imported stop that has been added to one or more routes. The ID can be the EasyRoutes id returned on import or the client-provided clientStopId. Note that only non-deleted routes are returned.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Path Parameters

id*string

The ID of the imported stop to fetch route info. You provide the EasyRoutes id returned on import or the client-provided clientStopId.

Response Body

application/json

application/json

curl -X GET "https://example.com/stops/imports/ist-123e4567-e89b-12d3-a456-426614174000/routes"
{  "id": "ist-123e4567-e89b-12d3-a456-426614174000",  "routeInfo": [    {      "routeId": "rte-123e4567-e89b-12d3-a456-426614174000",      "stopId": "rst-123e4567-e89b-12d3-a456-426614174000",      "deliveryStatus": "DELIVERED"    }  ]}
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}